Subject: bug#41634: 'timeout' returning 124 and 133

From: Jonny Grant <[email-masked]>
Date: Sun, 31 May 2020 22:22:47 +0100

Hello

I'm using timeout with another program that doesn't have a timeout mechanism. Saw surprisingly timeout often returns 124

I was a bit surprised the return code as a signal was not 143 (128+ 15) for SIGTERM. I must be missing something.

This article says 124 for SIGTERM, and as expected 137 for SIGKILL (128+9)
https://www.howtogeek.com/423286/how-to-use-the-timeout-command-on-linux/

The man page says "Start COMMAND, and kill it if still running after DURATION.", it sounds like it's doing 'kill -s
SIGTERM' after DURATION. Then if -k argument it is doing 'kill -s SIGKILL'

Could the 124 and 137 be documented on the man page?

Regards, Jonny